## org.apache.batik.css.engine
Class CSSEngine.StyleDeclarationBuilder

    java.lang.Object
      org.apache.batik.css.engine.CSSEngine.DocumentAdapter
          org.apache.batik.css.engine.CSSEngine.StyleDeclarationBuilder

All Implemented Interfaces:
  DocumentHandler, ShorthandManager.PropertyHandler

Enclosing class:
  CSSEngine

protected class CSSEngine.StyleDeclarationBuilder
extends CSSEngine.DocumentAdapter
implements ShorthandManager.PropertyHandler

To build a StyleDeclaration object.

Field Summary
`StyleDeclaration` `styleDeclaration`

Constructor Summary
`protected` `CSSEngine.StyleDeclarationBuilder()`

Method Summary
`void` `property(java.lang.String name, LexicalUnit value, boolean important)` SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

Methods inherited from class org.apache.batik.css.engine.CSSEngine.DocumentAdapter
`comment, endDocument, endFontFace, endMedia, endPage, endSelector, ignorableAtRule, importStyle, namespaceDeclaration, startDocument, startFontFace, startMedia, startPage, startSelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### styleDeclaration

    public StyleDeclaration styleDeclaration

Constructor Detail

### CSSEngine.StyleDeclarationBuilder

    protected CSSEngine.StyleDeclarationBuilder()

Method Detail

### property

    public void property(java.lang.String name,
                         LexicalUnit value,
                         boolean important)
                  throws CSSException

  SAC: Implements `DocumentHandler.property(String,LexicalUnit,boolean)`.

  Specified by:
    `property` in interface `ShorthandManager.PropertyHandler`
  Overrides:
    `property` in class `CSSEngine.DocumentAdapter`
  Throws:
    `CSSException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.